Module
Inhalte
Index 🔎︎

# Funktion HasUnoInterfaces

Ermittelt, ob ein Basic-Uno-Objekt bestimmte Uno-Interfaces unterstützt.

Gibt "True" zurück, wenn alle angegebenen Uno-Schnittstellen unterstützt werden, ansonsten "False".

## Syntax:

    HasUnoInterfaces( oTest, Uno-Schnittstellenname 1 [, Uno-Schnittstellenname 2, ...])

## Rückgabewert:

Bool

## Parameter:

oTest: Das zu prüfende Basic Uno-Objekt.

Uno-Schnittstellenname: Eine Liste der Uno-Schnittstellennamen.

## Beispiel:

    bHas = HasUnoInterfaces( oTest, "com.sun.star.beans.XIntrospection" )